package com.fizz.business.service;

import java.util.List;
import com.fizz.business.domain.SetupTl;

/**
 * 拉矫机参数Service接口
 * 
 * @author ruoyi
 * @date 2025-09-26
 */
public interface ISetupTlService 
{
    /**
     * 查询拉矫机参数
     * 
     * @param steelGrade 拉矫机参数主键
     * @return 拉矫机参数
     */
    public SetupTl selectSetupTlBySteelGrade(String steelGrade,Long yieldStren,Long thick);

    /**
     * 查询拉矫机参数列表
     * 
     * @param setupTl 拉矫机参数
     * @return 拉矫机参数集合
     */
    public List<SetupTl> selectSetupTlList(SetupTl setupTl);

    /**
     * 新增拉矫机参数
     * 
     * @param setupTl 拉矫机参数
     * @return 结果
     */
    public int insertSetupTl(SetupTl setupTl);

    /**
     * 修改拉矫机参数
     * 
     * @param setupTl 拉矫机参数
     * @return 结果
     */
    public int updateSetupTl(SetupTl setupTl);

    /**
     * 批量删除拉矫机参数
     * 
     * @param steelGrades 需要删除的拉矫机参数主键集合
     * @return 结果
     */
    public int deleteSetupTlBySteelGrades(String[] steelGrades,Long[] yieldStrens,Long[] thicks);

    /**
     * 删除拉矫机参数信息
     * 
     * @param steelGrade 拉矫机参数主键
     * @return 结果
     */
    public int deleteSetupTlBySteelGrade(String steelGrade);
}
